Bug 233037 - 1280x1024 video mode unusable and mother board supports up to 1900x1400 and monitor supports up to 1280x1024
1280x1024 video mode unusable and mother board supports up to 1900x1400 and m...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 20:09 EDT by Glenn Sullivan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 19:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.*.log (10.31 KB, application/x-gzip)
2007-03-20 17:41 EDT, Glenn Sullivan
no flags Details
just unpacked from the previous attachment (112.30 KB, text/plain)
2007-03-21 15:59 EDT, Matěj Cepl
no flags Details
nothing seems to be here (929 bytes, text/plain)
2007-03-21 16:00 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Glenn Sullivan 2007-03-19 20:09:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
Any mode over 1024x768 gives a scrambled display.  There is mutliple images lying side by side kind of, except they overlap and the whole display is very unstable  .

Version-Release number of selected component (if applicable):
xorg-X11-drv-vesa 1.2.1-4

How reproducible:
Always


Steps to Reproduce:
1.choose a video mode over 1024x768
2.
3.

Actual Results:
scrambled display in GUI

Expected Results:
a normal display

Additional info:
After Fedora Core 6 x86_64 was installed I had to boot to a terminal and log in as root and use vi to edit my xorg.conf file so that it read as follows just to get a display that worked:


# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "vesa"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	DefaultDepth    16 
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "1024x768"
	EndSubSection
EndSection
hardware:
ASUS motherboard model A8V-VM
cpu AMD socket 939 Venice 3800+
using integrated graphics
Northbridge VIA K8M890
Southbridge VIA VT8251
Comment 1 Matěj Cepl 2007-03-20 17:05:06 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server log file (/var/log/Xorg.*.log) to the bug report as
individual uncompressed file attachment using the bugzilla file attachment link
below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Glenn Sullivan 2007-03-20 17:41:34 EDT
Created attachment 150540 [details]
Xorg.*.log
Comment 3 Glenn Sullivan 2007-03-20 18:10:23 EDT
when I deleted the xorg.conf file the computer booted up normally except there
was  no usable GUI, just a black screen and a "out of range" message on my LCD
monitor.  I looked it up in the monitor manual and what that means is that the
horizontal and/or vertical frequency is out of exceptable ranges for the monitor.

Video is VIA Chrome 9 IGP K8M890 series 3230.

I get normal video in windows xp @ 1280X1024 32bpp
Comment 4 Matěj Cepl 2007-03-21 15:59:00 EDT
Created attachment 150619 [details]
just unpacked from the previous attachment
Comment 5 Matěj Cepl 2007-03-21 16:00:42 EDT
Created attachment 150620 [details]
nothing seems to be here
Comment 6 Glenn Sullivan 2007-05-04 17:18:14 EDT
http//:smolt.fedoraproject.org/show?UUID=157701f2-24eb-4b38-95c0-98e7113e048d
Comment 7 Glenn Sullivan 2007-05-04 23:48:18 EDT
Edited my xorg.conf file to read as follows:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "vesa"
EndSection

Section "Monitor"
        Identifier "Monitor0"
        Modelname "AOpen F70js"
        Horizsync  30 - 80
        Vertsync   50 - 85
        Options "dpms"
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
        Device     "Monitor0"
	DefaultDepth    16 
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "1280x1024"
	EndSubSection
EndSection

Now I have a usable 1280x1024 resolution.
Comment 8 Adam Jackson 2007-05-26 14:32:31 EDT
The log file you attached was from trying to start up at 1024x768; but the
failure case you described was from trying to get 1280x1024.  Can you please
attach the X log from attempting to use 1280x1024 _without_ the X log as shown
in comment #7? (Just commenting out the Horizsync and Vertrefresh lines should
be sufficient)
Comment 9 Matěj Cepl 2007-08-31 18:40:59 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, this bug will be closed as INSUFFICIENT_DATA. Thank you.
Comment 10 Matěj Cepl 2007-10-11 19:14:54 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.